Subject: Re: Can 750 user-mode binaries run on a 603e core?

From: Jerry Van Baren <[email-masked]>
Date: Thu, 27 Jul 2006 08:36:00 -0400

Patrick J. Kelsey wrote:
> (sorry about that last one. had a bit of trouble with a certain web based mail client...) 
>  
> Thanks for the reply, Kumar.
>  
> That sounds encouraging.  One of the things I was worried about with
> scheduling differences would be a differing number of branch delay
> slots between the two core versions.  I'm still a bit new to the
> details of the PowerPC architecture, and at this point I'm not even
> sure if there are branch delay slots, although it does seem from my
> reading that the 603e and 750 pipelines are the same, in which case
> there would ceratinly be no worries here.

FWIIW, the PowerPC architecture has hardware instruction interlocking 
and scheduling and doesn't require the compiler to implement the branch 
delay slots like, for instance, the MIPS architecture.  This is much 
more compiler and portability friendly, but at the expense of more logic 
in the processor (the PowerPC is not nearly as minimalistic as the MIPS).

> At this point, I'm not concerned so much about an inefficient
> schedule resulting from running -mcpu=750 code on a 603e as long as
> the execution is correct.
>  
> Pat

gvb